Skip to main content
POST
/
v1
/
imports
/
product_collections
Batch Create Product Collections
curl --request POST \
  --url https://{defaultHost}/v1/imports/product_collections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "import": {
    "data": [
      {
        "name": "Test Collection",
        "description": "A test product collection",
        "slug": "test-collection"
      }
    ]
  }
}
'
import requests

url = "https://{defaultHost}/v1/imports/product_collections"

payload = { "import": { "data": [
{
"name": "Test Collection",
"description": "A test product collection",
"slug": "test-collection"
}
] } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
import: {
data: [
{
name: 'Test Collection',
description: 'A test product collection',
slug: 'test-collection'
}
]
}
})
};

fetch('https://{defaultHost}/v1/imports/product_collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "46ab4f8a-7ab7-4a94-b4eb-2895a3e2c0b1",
  "object": "import",
  "import_type": "product_collection",
  "live_mode": true,
  "rows_imported": 0,
  "rows_uploaded": 0,
  "status": "pending",
  "created_at": 1782485837,
  "updated_at": 1782485837
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
import_product_collections
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

import_type
string

The type of record imported – one of customer, product, coupon, purchase, or subscription.

import_rows
array

A list of associated import rows.

rows_imported
integer

The number of rows successfully imported.

status
string

The status of the import – one of completed, invalid, pending, or processing.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.